#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-DwffNK3mnx74zs3zdCrHjl
key:                  lsp-1.4.0.0-DwffNK3mnx74zs3zdCrHjl
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  b9b905d3b79634bf1378fb69379f3ea5
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-FsRyJh6gs0X2rKpQzHPlIg:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-FsRyJh6gs0X2rKpQzHPlIg:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-FsRyJh6gs0X2rKpQzHPlIg:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-FsRyJh6gs0X2rKpQzHPlIg:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-DwffNK3mnx74zs3zdCrHjl
depends:
    aeson-2.1.2.0-6VydXJBWxd89BBQXwjEfAs
    async-2.2.4-17F2m0fMLmE9RexONjnSWz
    attoparsec-0.14.4-A1PWQnBLBD2K7MHHtIDQd7 base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW exceptions-0.10.4
    hashable-1.4.2.0-FGfJ6SPjJOQC6UzILfUyUL
    hslogger-1.3.1.0-8Gv0Hd8nPoID0q8kzZqZsr
    lens-5.2.2-JomSPqqD8KEH2iXqQwwoqg
    lsp-types-1.4.0.1-FsRyJh6gs0X2rKpQzHPlIg mtl-2.2.2
    network-uri-2.6.4.2-EyHJBpcofEM5ki7v5TuK8D
    random-1.2.1.1-8erLhCi2BjJFOfZWbNb3er
    scientific-0.3.7.0-KZYGAHYQkSEK2WIE8SfK3K
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-IiLQZF6DbPQFjcFD1585i8
    uuid-1.3.15-56NNDvR4bVy8w0zpttmpo8

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

